/*
Inbox

Inbox API can be used for low level integration and enables direct communication with you contact base.   In most cases you will use our interaction templates for communication, but our api also allows you to send message directly.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package inboxapi

import (
	"encoding/json"
)

// checks if the UploadMediaFileRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &UploadMediaFileRequest{}

// UploadMediaFileRequest struct for UploadMediaFileRequest
type UploadMediaFileRequest struct {
	Url string `json:"url"`
}

// NewUploadMediaFileRequest instantiates a new UploadMediaFileRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUploadMediaFileRequest(url string) *UploadMediaFileRequest {
	this := UploadMediaFileRequest{}
	this.Url = url
	return &this
}

// NewUploadMediaFileRequestWithDefaults instantiates a new UploadMediaFileRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUploadMediaFileRequestWithDefaults() *UploadMediaFileRequest {
	this := UploadMediaFileRequest{}
	return &this
}

// GetUrl returns the Url field value
func (o *UploadMediaFileRequest) GetUrl() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Url
}

// GetUrlOk returns a tuple with the Url field value
// and a boolean to check if the value has been set.
func (o *UploadMediaFileRequest) GetUrlOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Url, true
}

// SetUrl sets field value
func (o *UploadMediaFileRequest) SetUrl(v string) {
	o.Url = v
}

func (o UploadMediaFileRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o UploadMediaFileRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["url"] = o.Url
	return toSerialize, nil
}

type NullableUploadMediaFileRequest struct {
	value *UploadMediaFileRequest
	isSet bool
}

func (v NullableUploadMediaFileRequest) Get() *UploadMediaFileRequest {
	return v.value
}

func (v *NullableUploadMediaFileRequest) Set(val *UploadMediaFileRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableUploadMediaFileRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableUploadMediaFileRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUploadMediaFileRequest(val *UploadMediaFileRequest) *NullableUploadMediaFileRequest {
	return &NullableUploadMediaFileRequest{value: val, isSet: true}
}

func (v NullableUploadMediaFileRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUploadMediaFileRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


